
var currentCollection = 0;
//AVC var maxHits = 100;
var maxHits = 50;
var lastQuery = "";
var showHighlighted = true;
var showNavTags = true;
var resultLayout = "full";
var formLayout = "default";
var docOpenMethod = "winopen";

var debug = false;

var collectionCount = 1;

var collectionNames = new Array(1);

  collectionNames[0] = "TPS 6.2";

var maxHitsValues = new Array(4);
maxHitsValues[0] = 200;
maxHitsValues[1] = 100;
maxHitsValues[2] = 50;
maxHitsValues[3] = 25;

// Tags used to mark highlighted terms
var hlTagBefore = "<b style=\"background-color: #ffff66; color: black\">";
var hlTagAfter = "</b>";

// Tags that represent buttons: "previous term", "next-term"
//AVC var buttonPreviousAnchor = "<font size=1>&lt;</font>";
//AVC var buttonNextAnchor = "<font size=1>&gt;</font>";
//AVC vvvvv insert
var buttonPreviousAnchor = "<img src='a_left.gif' width='10' height='10' border='0'>";
var buttonNextAnchor = "<img src='a_right.gif' width='10' height='10' border='0'>";
//AVC ^^^^^ insert

// Open tag for navigation link (anchor ID is inserted between the start and end tag)
//AVC var navOpenTagStart = "<a href=\"javascript:parent.TOCx.jumpToHLAnchor( ";
//AVC var navOpenTagEnd = ", parent.TOCx.TOC );\">";
//AVC vvvvv insert
var navOpenTagStart = "<a href=\"javascript:parent.TOCx.jumpToHLAnchor( ";
var navOpenTagEnd = ", parent.Text );\">";
//AVC ^^^^^ insert
//var navOpenTagStart = "<a href=\"javascript:window.location.hash='qa_anchor_";
//var navOpenTagEnd = "'\">";

// Close tag for navigation link
var navCloseTag = "</a>";

var lastHighlightedDocIndex = -1;
var currentAnchor = "qa_anchor_1";
var lastHighlightedDoc = "";

var resultsWindow = null;

var qaframeLoaded = false;
var qaAppletStarted = false;

var hlWindow = null;
var hlHitLocation = null;
var hlDocBase = "."; // base of a document being highlighted


function performSearch( win, qform, qagent )
{
  if( qagent == null )
  {
    alert( "Search applet is undefined." );
    return;
  }
    
  if( qform == null )
  {
    alert( "Search form is undefined." );
    return;
  }
  else
    _collectQueryOptions( qform );
  
  if( !qaAppletStarted )
  {
    alert( "Search applet has not started yet.\nPlease, try again in few seconds." );
    return;
  }
  
  if( debug ) 
    alert( "Load collection: " + currentCollection );
  qagent.loadCollection( currentCollection );

  if( debug ) 
    alert( "Set max hits: " + maxHits );
  qagent.setMaxHits( maxHits );
  
  if( debug ) 
    alert( "Query: " + lastQuery );

  if( debug ) 
    alert( "Starting search..." );

  lastHighlightedDocIndex = -1;
  currentAnchor = "qa_anchor_1";
  lastHighlightedDoc = "";

  resultsWindow = win;
  
  var hitCount = qagent.search( lastQuery );
  if( hitCount == -2 )
  {
    // do nothing - callback from Java will be used
  }
  else
  {
    parent.resultsWindow.location.replace( "qa_v.htm" );
  }
  
}


function _collectQueryOptions( qform )
{
  currentCollection = _getCollection( qform );
  lastQuery = _getQuery( qform );
  maxHits = _getMaxHits( qform );
  resultLayout = _getResultLayout( qform );
  showHighlighted = _getShowHighlighted( qform );
  showNavTags = _getUseNavigation( qform );
}


function _getCollection( qform )
{
  if( qform.collection != null )
  {
    var i = qform.collection.selectedIndex;
    return i;
  }
  return currentCollection;
}


function _getQuery( qform )
{
  return qform.query.value;
}


function _getMaxHits( qform )
{
  var maxh = maxHits;
  if( qform.maxhits != null )  
  {
    var mh = qform.maxhits.options[ qform.maxhits.selectedIndex ].value;
    maxh = eval( mh );
  }
  return maxh;
}

function _getResultLayout( qform )
{
  var l = resultLayout;
  if( qform.resultLayout != null )  
  {
    l = qform.resultLayout.options[ qform.resultLayout.selectedIndex ].value;
  }
  return l;
}

function _getShowHighlighted( qform )
{
  var hl = showHighlighted;
  if( qform.showHighlighted != null )  
  {
    if( qform.showHighlighted.checked )
      hl = true;
    else
      hl = false;
  }
  return hl;
}


function _getUseNavigation( qform )
{
  var navig = showNavTags;
  if( qform.useNavigationButtons != null )  
  {
    if( qform.useNavigationButtons.checked )
      navig = true;
    else
      navig = false;
  }
  return navig;
}


function _printSearchResults( doc, qagent )
{
  if( debug ) 
    alert( "In printSearchResults()" );

  if( !qagent.hasCachedResults() )
  {
    // page was reloaded; return to the main page...
    window.open( "qa_t.htm", "TOC" );
    return;
  }

  var msgCount = qagent.getSearchMessagesCount();
  var errCount = qagent.getSearchErrorsCount();

  if( debug )
    alert( "Messages: " + msgCount + ", Errors: " + errCount );
    
  if( msgCount > 0 || errCount > 0 )
  {
    doc.writeln( "<ul>" );
    for( var i = 0; i < errCount; i++ )
      doc.writeln( "<li><b>" + qagent.getSearchError( i ) + "</b>" );
    for( var i = 0; i < msgCount; i++ )
      doc.writeln( "<li>" + qagent.getSearchMessage( i ) );
    doc.writeln( "</ul>" );
    doc.writeln( "<br>" );
  }
  
  var res = qagent.getHitCount();
  var resTotal = qagent.getEstimatedTotalHitCount();

  if( res == 0 )  
  {
    doc.writeln( "<b>Nothing found.</b>" );
    doc.writeln( "<b>Refine your query and try again.</b>" );
  }
  else
  {
    doc.write( "<b>Pages found: ", res );
    if( res != resTotal )
      doc.write( "&nbsp;&nbsp;(estimated total ", resTotal, ")" );
    doc.writeln( "</b>" );

//AVC    doc.writeln( "<ol>" );
//AVC vvvvv inserted
    doc.writeln( "<p>" );
//AVC ^^^^^ inserted

    // print results
    var i = 0;
    while( res > 0 )
    {
//AVC      doc.write( "<li>" );
//AVC vvvvv inserted
      doc.write( "<nobr><img border=\"0\" src=\"a_right.gif\" width=\"8\" height=\"10\"> " );
//AVC ^^^^^ inserted
    
      _printHit( doc, qagent, i );

//AVC      doc.writeln( "</li><p>" );
//AVC vvvvv inserted
      doc.writeln( "</nobr><br>" );
//AVC ^^^^^ inserted

      i++;
      res--;
    }

//AVC    doc.writeln( "</ol>" );
//AVC vvvvv inserted
    doc.writeln( "</p>" );
//AVC ^^^^^ inserted
  }
}


function _openResultsPage( doc )
{
  doc.open();
  doc.writeln( "<html>" );
  doc.writeln( "  <meta>" );
//AVC  doc.writeln( "    <link rel=\"stylesheet\" type=\"text/css\" href=\"qa_.css\" title=\"Style\">" );
//AVC vvvvv inserted
  doc.writeln( "    <link rel=\"stylesheet\" type=\"text/css\" href=\"mrbook.css\" title=\"Style\">" );
//AVC ^^^^^ inserted
  doc.writeln( "  </meta>" );
//AVC  doc.writeln( "<body>" );
//AVC vvvvv inserted
  doc.writeln( "<body class=\"TOC\">" );
//AVC ^^^^^ inserted
}


function _closeResultsPage( doc )
{
//AVC  doc.write( "<p>&nbsp;</p><p class=\"TOC\"><font size=-1>" );
//AVC vvvvv inserted
  doc.write( "<p>&nbsp;</p><p class=\"TOC\"><hr><span style=\"font-size:90%;color:#888888\">" );
//AVC ^^^^^ inserted
  // REMOVAL OR MODIFICATION OF THE MESSAGE BELLOW IS IN VIOLATION OF THE LICENSE AGREEMENT - DO NOT TOUCH!
  doc.write( "<i>Search technology by JObjects International (<a class=\"TOC\" href='http://www.jobjects.com' target='_blank'>http://www.jobjects.com</a>)</i>" );
  doc.writeln( "</span>" );

  doc.writeln( "</body></html>" );
  doc.close();
}


// print hit (long format)
function _printHit( doc, qagent, hitIndex )
{
  var loc = qagent.getHitLocation( hitIndex );
  
  var title = qagent.getHitTitle( hitIndex );
  if( title == null )
    title = loc;
  title = "" + title;
  if( title.length == 0 )
    title = loc;

  // create link to file
//AVC  doc.writeln( "<b><a href=\"javascript:parent.showDocument( ", hitIndex, ", parent.qaview.document.searchForm, parent.qaview, parent.qawin.document.QuestAgent );\">", title, "</a></b>" );
//AVC vvvvv inserted
  doc.writeln( "<a class=\"TOC\" href=\"javascript:parent.showDocument( ", hitIndex, ", parent.TOC.document.searchForm, parent.TOC, parent.qawin.document.QuestAgent );\" onMouseOver=\"window.status='" + qagent.getHitLocation( hitIndex ) + "';return true;\">", title, "</a>" );
//AVC ^^^^^ inserted

//AVC  doc.writeln( "<br>" );
//AVC  
//AVC  // print description if available
//AVC  var desc = qagent.getHitField( hitIndex, "description" );
//AVC  if( desc != null )  {
//AVC    var jsdesc = "" + desc;
//AVC    if( jsdesc.length > 0 && resultLayout == "full" )
//AVC      doc.writeln( jsdesc, "<br>" );
//AVC  }
//AVC
//AVC  doc.writeln( "<font color=\"#808080\"> <b>URL:</b> ", loc, "</font>" );
//AVC
//AVC  var len = Math.round( eval( "" + qagent.getHitField( hitIndex, "length" ) ) / 1024 );
//AVC  if( len == 0 )
//AVC    len = 1;
//AVC  doc.writeln( "<font color=\"#808080\"> - <b>Size:</b> ", len, "K bytes </font>" );
//AVC
//AVC  doc.writeln( " <font color=\"#808080\"> - <b>Score:</b> ",
//AVC      qagent.getHitRelevance( hitIndex ), "</font>" );
}


function _printCollectionChoice( doc )
{
  doc.writeln( "<select name=collection>" );

  for( i = 0; i < collectionNames.length; ++i )
  {
    doc.write( "<option value=", i );
    if( currentCollection == i )
      doc.write( " selected " );
    doc.writeln( ">" + collectionNames[i] );
  }

  doc.writeln( "</select>" );
}


function _printMaxHitsChoice( doc )
{
  doc.writeln( "<select name=maxhits>" );

  for( i = 0; i < maxHitsValues.length; ++i )
  {
    doc.write( "<option value=", maxHitsValues[i] );
    if( maxHits == maxHitsValues[i] )
      doc.write( " selected " );
    doc.writeln( ">" + maxHitsValues[i] );
  }

  doc.writeln( "</select>" );
}


function _printSimpleSearchForm( doc, qagent )
{
  if( debug )
    alert( "In printSimpleSearchForm()" );

//AVC  doc.write( "<FORM name=\"searchForm\"" );
//AVC  doc.writeln( " onSubmit=\"parent.performSearch( parent.TOC, this, parent.qawin.document.QuestAgent ); return false;\">" );
//AVC  var q = "" + parent.lastQuery;
//AVC  if( q.length > 0 )
//AVC    q = qagent.replace( parent.lastQuery, "\"", "&quot;" );
//AVC vvvvv inserted
//  doc.writeln( "<h1 class=\"TOC\">Content Search</h1>" );
//  doc.writeln( "<h1>Content Search</h1>" );
//  doc.writeln( "<p><a class=\"TOC\" href=\"estocc.htm\" target=\"TOC\">Contents</a></p>" );
  doc.writeln( "<form class=\"TOC\" name=\"searchForm\" onSubmit=\"parent.performSearch( parent.TOC, this, parent.qawin.document.QuestAgent ); return false;\">" );
  doc.writeln( "  <table class=\"TOC\" border=\"0\">" );
  doc.writeln( "    <tr> " );
  doc.writeln( "      <td colspan=\"2\" class=\"TOC\"> " );
//AVC ^^^^^ inserted
  
  if( collectionCount > 1 )
  {
    doc.writeln( "Search in: " );
    _printCollectionChoice( doc );
  }
  
//AVC vvvvv inserted
  var q = "" + lastQuery;
  if( q.length > 0 )
    q = qagent.replace( lastQuery, "\"", "&quot;" );
//AVC ^^^^^ inserted
  
//AVC  doc.writeln( "  Find: <INPUT TYPE=TEXT NAME=query VALUE=\"", q, "\" SIZE=20>" );
//AVC  doc.writeln( "  <INPUT TYPE=BUTTON VALUE=\"Go\" onClick=\"parent.performSearch( parent.TOC, this.form, parent.qawin.document.QuestAgent )\">" );

//AVC  if( formLayout == "quick" )
//AVC  {
//AVC    doc.write( "<br><a href=\"javascript:parent.changeFormLayout( 'full', parent.TOC );\">" );
//AVC    doc.write( "Show full search form</a>" );
//AVC    doc.write( "  | <a href=\"javascript:parent.showTips( parent.Text );\">Show search tips</a>" );
//AVC  }
//AVC vvvvv inserted
  doc.writeln( "        <nobr>Search:</nobr>" );
  doc.writeln( "        <input type=\"text\" name=\"query\" size=\"25\" value=\"", q, "\"></td>" );
  doc.writeln( "    </tr>" );
//  doc.writeln( "    <tr> " );
//  doc.writeln( "      <td align=\"right\" class=\"TOC\"><nobr>Keyword highlighting:</nobr><br><br>" );
//  doc.writeln( "                          <nobr>Navigation controls:</nobr>" );
//  doc.writeln( "        </td>" );
//  doc.writeln( "      <td>" );
//  doc.write( "        <input type=\"checkbox\" name=\"showHighlighted\" value=\"on\" " );
//  if( showHighlighted )
//    doc.write( " checked " );
//  doc.write( "  ><br>" );
//  doc.write( "        <input type=\"checkbox\" name=\"useNavigationButtons\" value=\"on\" " );
//  if( showNavTags )
//    doc.write( " checked " );
//  doc.write( "  >" );
//  doc.writeln( "        </td>" );
//  doc.writeln( "    </tr>" );
  doc.writeln( "    <tr> " );
  doc.writeln( "      <td align=\"right\" class=\"TOC\"><nobr>Keyword highlighting:</nobr>" );
  doc.writeln( "        </td>" );
  doc.writeln( "      <td>" );
  doc.write( "        <input type=\"checkbox\" name=\"showHighlighted\" value=\"on\" " );
  if( showHighlighted )
    doc.write( " checked " );
  doc.write( "  >" );
  doc.writeln( "        </td>" );
  doc.writeln( "    </tr>" );
  doc.writeln( "    <tr> " );
  doc.writeln( "      <td align=\"right\" class=\"TOC\"><nobr>Navigation controls:</nobr>" );
  doc.writeln( "        </td>" );
  doc.writeln( "      <td>" );
  doc.write( "        <input type=\"checkbox\" name=\"useNavigationButtons\" value=\"on\" " );
  if( showNavTags )
    doc.write( " checked " );
  doc.write( "  >" );
  doc.writeln( "        </td>" );
  doc.writeln( "    </tr>" );

  doc.writeln( "    <tr>" );
  doc.writeln( "      <td valign=\"top\" align=\"right\">Display hits:</td>" );
  doc.writeln( "      <td valign=\"top\">" );

  _printMaxHitsChoice( doc );

  doc.writeln( "      </td>" );
  doc.writeln( "    </tr>" );

  doc.writeln( "    <tr> " );
  doc.writeln( "      <td colspan=\"2\" align=\"middle\" class=\"TOC\"> " );
  doc.writeln( "        <input type=\"button\" name=\"submit\" value=\"Search\"" );
  doc.writeln( "               onClick=\"parent.performSearch( parent.TOC, this.form, parent.qawin.document.QuestAgent )\" >" );
  doc.writeln( "        <input type=\"button\" name=\"help\" value=\"Help\"" );
  doc.writeln( "               onClick=\"javascript:parent.showTips( top.Text );\">" );
  doc.writeln( "      </td>" );
  doc.writeln( "    </tr>" );
  doc.writeln( "  </table>" );
  doc.writeln( "</form>" );
  doc.writeln( "<hr>" );
//AVC ^^^^^ inserted

//AVC  doc.writeln( "</FORM>" );
}

//AVC function _printSimpleSearchForm( doc, qagent )
//AVC {
//AVC   if( debug )
//AVC     alert( "In printSimpleSearchForm()" );
//AVC 
//AVC   doc.write( "<FORM name=\"searchForm\"" );
//AVC   doc.writeln( " onSubmit=\"parent.performSearch( parent.qaview, this, parent.qawin.document.QuestAgent ); return false;\">" );
//AVC   
//AVC   if( collectionCount > 1 )
//AVC   {
//AVC     doc.writeln( "Search in: " );
//AVC     _printCollectionChoice( doc );
//AVC   }
//AVC   
//AVC   var q = "" + parent.lastQuery;
//AVC   if( q.length > 0 )
//AVC     q = qagent.replace( parent.lastQuery, "\"", "&quot;" );
//AVC   
//AVC   doc.writeln( "  Find: <INPUT TYPE=TEXT NAME=query VALUE=\"", q, "\" SIZE=20>" );
//AVC   doc.writeln( "  <INPUT TYPE=BUTTON VALUE=\"Go\" onClick=\"parent.performSearch( parent.qaview, this.form, parent.qawin.document.QuestAgent )\">" );
//AVC 
//AVC   if( formLayout == "quick" )
//AVC   {
//AVC     doc.write( "<br><a href=\"javascript:parent.changeFormLayout( 'full', parent.qaview );\">" );
//AVC     doc.write( "Show full search form</a>" );
//AVC     doc.write( "  | <a href=\"javascript:parent.showTips( parent.qaview );\">Show search tips</a>" );
//AVC   }
//AVC 
//AVC   doc.writeln( "</FORM>" );
//AVC }


function _printFullSearchForm( doc, qagent )
{
  if( debug )
    alert( "In printFullSearchForm()" );

  doc.writeln( "<center>" );
  doc.writeln( "<form onSubmit=\"parent.performSearch( parent.TOC, parent.TOC.document.searchForm, parent.qawin.document.QuestAgent ); return false;\" name=\"searchForm\">" );
//  doc.writeln( "<form onSubmit=\"parent.performSearch( parent.TOC.document, parent.TOC.document.searchForm, parent.qawin.document.QuestAgent ); return false;\" name=\"searchForm\">" );
//  doc.writeln( "<form onSubmit=\"parent.performSearch( parent.TOC.document, this, parent.qawin.document.QuestAgent ); return false;\" name=\"searchForm\">" );
  doc.writeln( "  <table border=0 width=570 align=center bgcolor=\"#e4e4e4\" bordercolor=\"#c0c0c0\" bordercolorlight=\"#c0c0c0\" bordercolordark=\"#c0c0c0\">" );
  doc.writeln( "    <tr>" );
  doc.writeln( "      <td valign=top colspan=2 bgcolor=\"#000000\">" );
  doc.writeln( "        <div align=center><font color=\"#FFFFFF\" size=\"+1\">Content Search</font></div>" );
  doc.writeln( "      </td>" );
  doc.writeln( "    </tr>" );


  if( collectionCount == 1 )
  {
    doc.writeln( "<!--" );
  }
  doc.writeln( "    <tr>" );
  doc.writeln( "      <td valign=top><b>Search In</b><font size=\"-1\"><br>" );
  doc.writeln( "        Select content domain for your search.</font></td>" );
  doc.writeln( "      <td valign=top>" );

  _printCollectionChoice( doc );

  doc.writeln( "      </td>" );
  doc.writeln( "    </tr>" );

  if( collectionCount == 1 )
  {
    doc.writeln( "-->" );
  }

  var q = "" + parent.lastQuery;
  if( q.length > 0 )
    q = qagent.replace( parent.lastQuery, "\"", "&quot;" );
  
  doc.writeln( "    <tr>" );
  doc.writeln( "      <td valign=top> <b>Search For</b><font size=\"-1\"><br>" );
  doc.writeln( "        Enter keywords or boolean expression for your search. The boolean expression " );
  doc.writeln( "        allows \"and\", \"or\", &quot;not&quot; and parenthesis.</font></td>" );
  doc.writeln( "      <td valign=top>" );
  doc.writeln( "        <input type=text name=query size=25 value=\"", q, "\">" );
  doc.writeln( "        <input type=button name=submit value=\"Go\"" );
  doc.writeln( "               onClick=\"parent.performSearch( parent.TOC, this.form, parent.qawin.document.QuestAgent )\" >" );
  //doc.writeln( "               onClick=\"parent.performSearch( parent.TOC.document, this.form, parent.qawin.document.QuestAgent )\" >" );
  doc.writeln( "      </td>" );
  doc.writeln( "    </tr>" );
  doc.writeln( "    <tr>" );
  doc.writeln( "      <td valign=top> <b>Return Number </b><font size=\"-1\"><br>" );
  doc.writeln( "        Return how many documents?</font></td>" );
  doc.writeln( "      <td valign=\"top\">" );

  _printMaxHitsChoice( doc );

  doc.writeln( "      </td>" );
  doc.writeln( "    </tr>" );
  doc.writeln( "    <tr>" );
  doc.writeln( "      <td valign=top> <b>Return Format </b><font size=\"-1\"><br>" );
  doc.writeln( "        \"Full descriptions\" includes a summary, \"Title only\" does not</font>.</td>" );
  doc.writeln( "      <td valign=top>" );
  doc.writeln( "        <select name=\"resultLayout\">" );
  doc.write( "          <option value=\"full\" " );
  if( resultLayout == "full" )
    doc.write( " selected " );
  doc.writeln( ">Full descriptions</option>" );
  doc.write( "          <option value=\"short\" " );
  if( resultLayout == "short" )
    doc.write( " selected " );
  doc.writeln( ">Title only</option>" );
  doc.writeln( "        </select>" );
  doc.writeln( "      </td>" );
  doc.writeln( "    </tr>" );
  doc.writeln( "    <tr>" );
  doc.writeln( "      <td valign=top><b>Keyword Highlighting</b><br>" );
  doc.writeln( "        <font size=\"-1\">If selected, keywords will be emphasized in found documents.</font></td>" );
  doc.writeln( "      <td valign=top>" );
  doc.write( "        <input type=checkbox name=showHighlighted value=on " );
  if( showHighlighted )
    doc.write( " checked " );
  doc.write( "  >" );
  doc.writeln( "        Highlight keywords</td>" );
  doc.writeln( "    </tr>" );
  doc.writeln( "    <tr>" );
  doc.writeln( "      <td valign=top><b>Navigation Controls</b><br>" );
  doc.writeln( "        <font size=\"-1\">If selected, found documents will contain special controls " );
  doc.writeln( "        for navigation among keywords. Useful for finding words in long documents.</font></td>" );
  doc.writeln( "      <td valign=top>" );
  doc.write( "        <input type=checkbox name=\"useNavigationButtons\" value=on " );
  if( showNavTags )
    doc.write( " checked " );
  doc.write( "  >" );
  doc.writeln( "        Show navigation controls</td>" );
  doc.writeln( "    </tr>" );
  doc.writeln( "  </table>" );
  
  doc.write( "  <font size=\"-1\">" );
  doc.write( "<br>" );
  doc.write( "<a href=\"javascript:parent.changeFormLayout( 'quick', parent.TOC );\">" );
  doc.write( "Show quick search form</a>" );
  doc.write( "  | <a href=\"javascript:parent.showTips( parent.TOC );\">Show search tips</a>" );
  doc.writeln( "  </font>" );

  doc.writeln( "</form>" );
  doc.writeln( " </center>" );
}

function printResultsPage( doc, qagent )
{
  _openResultsPage( doc );

  if( formLayout == "full" )  {
    _printFullSearchForm( doc, qagent );
    doc.writeln( "<p>" );
  }
  else if( formLayout == "quick" )  {
    _printSimpleSearchForm( doc, qagent );
    doc.writeln( "<p>" );
  }
  else if( formLayout == "default" )  {
//AVC    _printFullSearchForm( doc, qagent );
//AVC vvvvv inserted
    _printSimpleSearchForm( doc, qagent );
//AVC ^^^^^ inserted
    formLayout = "quick"; // switch to quick search form
    doc.writeln( "<p>" );
  }

  if( qagent.hasCachedResults() )
  {
    _printSearchResults( doc, qagent );
  }

  _closeResultsPage( doc );
}


function showDocument( hitIndex, qform, win, qagent )
{
  if( debug )
    alert( "In showDocument()" );

  var loc = qagent.getHitLocation( hitIndex );

  if( debug )
    alert( "Show hit " + hitIndex + ": " + loc );
    
  _collectQueryOptions( qform );
  
  var canHL = canHighlight( loc );

  if( showHighlighted && canHL )  
  {
    qagent.setHighlightingTags( hlTagBefore, hlTagAfter );
    qagent.setNavigationButtons( buttonPreviousAnchor, buttonNextAnchor );
    qagent.setNavigationLinkScheme( navOpenTagStart, navOpenTagEnd, navCloseTag );
    
    hlDocBase = qagent.getDocumentBase( loc );
    if( debug )
      alert( "Base of highlighted document: " + hlDocBase );
          
    hlWindow = win;
    hlHitLocation = loc;
    lastHighlightedDocIndex = hitIndex;
    
    if( browser.isNS || browser.Mozilla )
    {
      if( debug )
        alert( "Highlight using callback" );
      // result will be delivered to callback function
      qagent.highlightDocumentCB( hitIndex, showNavTags, "OnHighlightingDone" );
      // callback required with NS 6/7 [for Unix] running from a web site
    }
    else
    {
      if( debug )
        alert( "Highlight directly (without using callback)" );
      // we don't use callbacks with IE (IE crashes on second highlighted doc)
      var page = qagent.highlightDocument( hitIndex, showNavTags );
      handleHighlightedDocument( page );
    }
  }
  else
  {
    showDocumentNoHL( loc, win );
  }
}


function handleHighlightedDocument( hlPage )
{
  if( hlPage.indexOf( "qagent_hl_msg:" ) == 0 ) // is returned content error message?
  {
    var message = hlPage.substring( 14 );
    alert( message );
    showDocumentNoHL( hlHitLocation, hlWindow );
    return;
  }
  
  lastHighlightedDoc = "<base href=\"" + hlDocBase + "\">" + hlPage;
  currentAnchor = "qa_anchor_1";
//AVC vvvvv insert
//  alert (hlHitLocation + " , " + hlWindow + " , " + lastHighlightedDoc);
//AVC ^^^^^ inserted
  
  showDocumentHL( hlHitLocation, hlWindow );
}

function canHighlight( loc )
{
  var loc2 = "" + loc.toLowerCase();
  var canHL = false;
  
  if( loc2.indexOf( "http:" ) == 0 )
  {
    canHL = false;
  }
  else if( ( loc2.indexOf( ".htm" ) + 4 ) == loc2.length )
  {
    canHL = true;
  }
  else if( ( loc2.indexOf( ".html" ) + 5 ) == loc2.length )
  {
    canHL = true;
  }

  if( canHL && loc2.indexOf( "../" ) != -1 )
  {
    alert( "Highlighting is not available. In order to use highlighting deploy search interface directly to the document root or to its upper-level directory." );
    canHL = false;
  }

  return canHL;
}


function changeFormLayout( layout, win )
{
  formLayout = layout;
  
  win.location.replace( 'qa_v.htm' );
}


function showDocumentHL( loc, win )
{
//AVC vvvvv insert
//  alert("showDocumentHL");
//AVC ^^^^^ inserted
//AVC      var win = window.open( "qa_h.htm#" + currentAnchor, "parent.qaview" );
//AVC vvvvv insert
      var win = window.open( "blank.htm", "Text" );
      setTimeout("var win = window.open( 'qa_h.htm#' + currentAnchor, 'Text' )",1000)
      parent.TOCx.TOCid = toc(loc);
//AVC ^^^^^ insert
    win.focus();

    
  /*
  // show highlighted document
  var doc = win.document;
  doc.open();
  doc.write( "<base href=\"" + docBase + "\">" );
  doc.write( hlPage );
  doc.close();
  */
}


function showDocumentNoHL( loc, win )
{
//AVC vvvvv insert
//  alert("showDocumentNoHL");
//AVC ^^^^^ inserted
//AVC      var win = window.open( loc, "qaview" );
//AVC vvvvv insert
      var win = window.open( loc, "Text" );
// Don't bother with TOC change in es
//      parent.TOCx.TOCid = toc(loc);
//      parent.TOCx.TOC.location = parent.TOCx.TOCid;
//AVC ^^^^^ insert
    win.focus();
}


function printLastHighlightedPage( doc )
{
//AVC vvvvv insert
//  alert("printLastHighlightedPage");
//AVC ^^^^^ inserted
  doc.open();
// alert(lastHighlightedDoc)
  doc.write( lastHighlightedDoc );
  doc.close();
//AVC vvvvv inserted
//  setTimeout("if (window.TOCida != null) {parent.TOCx.TOC.location = window.TOCida + \"tocc.htm\"} else {parent.TOCx.TOC.location = parent.TOCx.TOCid};",1000)
// Don't bother with TOC change in es
//  parent.TOCx.TOC.location = parent.TOCx.TOCid

//AVC ^^^^^ inserted
}


function jumpToHLAnchor( anch, win )
{
  //win.location.replace( "#qa_anchor_" + anch );
  win.location.hash = "#qa_anchor_" + anch;
}


function showTips( win )
{
  //win.location.replace( 'qa_t.htm' );
  win.location = "qa_t.htm";
}

//AVC vvvvv insert
function toc(location)
{
    i = location.indexOf(".",0) ;
    if (i != -1) {
        if ((location.indexOf("MXGLOS",0) != -1) || (location.indexOf("mxglos",0) != -1)) {
            return "estocc.htm";
        }
        else {
            if ((location.substring(0, 2) == "ch") || (location.substring(0, 2) == "gh") || (location.substring(0, 2) == "rh") || (location.substring(0, 2) == "th")) {
//              alert(window.TOCida)
//                if (window.TOCida != null) {
//                    return window.TOCida + "tocc.htm";
//                }
//                else { 
                return "estocc.htm" ;
//                }
            }
            else {
                return location.substring(0, 2) + "tocc.htm" ; 
            }
        }
    }
    return "jjtocc.htm"; 
}
//AVC ^^^^^ insert


// Used by CA01H, FA01H
function onShowResourceHandler( loc, hitIndex, newWin )
{
  if( debug )
    alert( "Show hit " + hitIndex + ": " + loc );

  var qagent = document.QuestAgent;
  
  var canHL = canHighlight( loc );

  if( showHighlighted && canHL )  
  {
    qagent.setHighlightingTags( hlTagBefore, hlTagAfter );
    qagent.setNavigationButtons( buttonPreviousAnchor, buttonNextAnchor );
    qagent.setNavigationLinkScheme( navOpenTagStart, navOpenTagEnd, navCloseTag );
    
    var hlPage = "" + qagent.highlightDocument( hitIndex, showNavTags );
  
    if( hlPage.indexOf( "qagent_hl_msg:" ) == 0 ) // error message returned?
    {
      var message = hlPage.substring( 14 );
      alert( message );
      // if failed, open without highlighting
      var fwin = open( loc, "_blank" );
      fwin.focus();
      return;
    }
    
    var docBase = qagent.getDocumentBase( loc );

    if( debug )
      alert( "Base of highlighted document: " + docBase );
          
    lastHighlightedDoc = "<base href=\"" + docBase + "\">" + hlPage;
    lastHighlightedDocIndex = hitIndex;
    currentAnchor = "qa_anchor_1";
    
    var f = open( "qa_h.htm#qa_anchor_1", "_blank" );
    f.focus();
  }
  else
  {
    var f = open( loc, "_blank" );
    f.focus();
  }
}

function BrowserDetect() 
{
   var ua = navigator.userAgent.toLowerCase(); 

   // browser name
   this.isGecko     = (ua.indexOf('gecko') != -1 && ua.indexOf('safari') == -1);
   this.isMozilla   = (this.isGecko && ua.indexOf('gecko/') + 14 == ua.length);
   this.isNS        = ( (this.isGecko) ? (ua.indexOf('netscape') != -1) : ( (ua.indexOf('mozilla') != -1) && (ua.indexOf('spoofer') == -1) && (ua.indexOf('compatible') == -1) && (ua.indexOf('opera') == -1) && (ua.indexOf('webtv') == -1) && (ua.indexOf('hotjava') == -1) ) );
   this.isIE        = ( (ua.indexOf('msie') != -1) && (ua.indexOf('opera') == -1) && (ua.indexOf('webtv') == -1) ); 
   this.isSafari    = (ua.indexOf('safari') != - 1);
   this.isOpera     = (ua.indexOf('opera') != -1); 
   this.isKonqueror = (ua.indexOf('konqueror') != -1 && !this.isSafari); 
   this.isIcab      = (ua.indexOf('icab') != -1); 
   this.isAol       = (ua.indexOf('aol') != -1); 
   
   // platform
   this.isWin   = (ua.indexOf('win') != -1);
   this.isWin32 = (this.isWin && ( ua.indexOf('95') != -1 || ua.indexOf('98') != -1 || ua.indexOf('nt') != -1 || ua.indexOf('win32') != -1 || ua.indexOf('32bit') != -1 || ua.indexOf('xp') != -1) );
   this.isMac   = (ua.indexOf('mac') != -1);
   this.isUnix  = (ua.indexOf('unix') != -1 || ua.indexOf('sunos') != -1 || ua.indexOf('bsd') != -1 || ua.indexOf('x11') != -1)
   this.isLinux = (ua.indexOf('linux') != -1);
}
var browser = new BrowserDetect();

